#define _XTAL_FREQ 4000000
#include "assets/config/config.h"
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
#include "assets/MAX6955/MAX6955.h"
#include "assets/LM75/LM75.h"
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{  
  I2C_init(100000);   //Start at 100Kb/s
  LM75_init();
  MAX6954_init();
  
  while(1)
  {
    signed int tempr = (signed int) (LM75_read(TEMPERATURE_ADDRESS) * 10);
    MAX6954_displayNumber(tempr);
  }
  
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------